| Home | Libraries | People | FAQ | More

#### model::multi_polygon

multi_polygon, a collection of polygons

###### Description

Multi-polygon can be used to group polygons belonging to each other, e.g. Hawaii

###### Model of

MultiPolygon Concept

###### Synopsis

    template<typename Polygon, template< typename, typename > class Container, template< typename > class Allocator>
    class model::multi_polygon
          : public Container< Polygon, Allocator< Polygon > >
    {
      // ...
    };

###### Template parameter(s)

Parameter | Default | Description
--- | --- | ---
typename Polygon |  |
template< typename, typename > class Container | std::vector |
template< typename > class Allocator | std::allocator |

###### Header

Either

`#include <boost/geometry/geometries/geometries.hpp>`

Or

`#include <boost/geometry/geometries/multi_polygon.hpp>`